polyglot (2.0.1+git20140926-1) unstable; urgency=medium

  * New upstream version
    - Syzygy EGTs Support
    - book learning
    - A lot of UCI Changes
  * Adjusted copyright
    - The sources are now maintained by H.G. Muller of xboard
  * Thanks to Sebastian Pipping for pointing me to the sources
  * Compat level 9 to import hardening flags
  * Update to Standards Version 3.9.5


 -- Oliver Korff <ok@xynyx.de>  Fri, 26 Sep 2014 20:13:49 +0200

polyglot (1.4.67b-1) unstable; urgency=low

  * New upstream version with:
    - Disable "book learning". Polyglot saves learning information 
      but does not use it itself, probably for a reason. I believe 
      the booklearning concept of Polyglot is fundamentally broken.

 -- Oliver Korff <ok@xynyx.de>  Fri, 14 Oct 2011 11:39:21 +0200

polyglot (1.4.66b-1) unstable; urgency=low

  * New upstream version with:
    - Bugfix: dump-book with -color black generated the file 
      book_white.txt
  * Set standards version to 3.9.2 in control with no changes.

 -- Oliver Korff <ok@xynyx.de>  Fri, 13 May 2011 08:48:14 +0200

polyglot (1.4.64b-2) unstable; urgency=low

  * After the release nothing stands against uploading to unstable
    anymore.

 -- Oliver Korff <ok@xynyx.de>  Fri, 11 Feb 2011 18:44:40 +0100

polyglot (1.4.64b-1) experimental; urgency=low

  * New upstream version
  * Main upstream news: Support for egtpath gaviota, all other 
    changes seem to be bugfixes. See manpage for usage.

 -- Oliver Korff <ok@xynyx.de>  Thu, 10 Feb 2011 10:41:02 +0100

polyglot (1.4.61b-1) experimental; urgency=low

  * Switch to new source format 3.0 (quilt), this is because I have 
    to deal with an upstream debian/ directory.
  * This package now comes with a new and clean rules file
  * New upstream version with: 
    - Bugfixes and 
    - The result string after an illegal move now shows the actual 
    attempted move.
  * Update to Standards-Version 3.9.1

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Oct 2010 11:01:38 +0200

polyglot (1.4.58b-1) unstable; urgency=low

  * New upstream version, with: Implementation of BookDepth in 
    UCI mode, small corrections to the manpage and a first attempt 
    at killing engines that do not react to "quit". 

 -- Oliver Korff <ok@xynyx.de>  Thu, 20 May 2010 17:35:03 +0200

polyglot (1.4.56b-1) unstable; urgency=low

  * New upstream version, fixes a bug on linux with a not existing 
    engine command

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 Jan 2010 10:52:58 +0100

polyglot (1.4.55b-1) unstable; urgency=low

  * New upstream version
  * Adjusted doc-base format, added index and ID field
  * Update to standards version 3.8.3
  * The sourcecode was repackaged to get rid of the upstream debian
    directory, It is included as debian-orig.tar.gz 
  * The example files have been removed from the upstream sources,
    so I added a toga2.ini. They have been MS-Win specific anyway.
  * http://alpha.uhasselt.be is the new upstream site for some time 
    now, so I added a watchfile

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Dec 2009 11:06:39 +0100

polyglot (1.4.36b-2) unstable; urgency=low

  * The FEN evaluation was not working. Michel Van Den Bergh sent
    a patch for epd.c 

 -- Oliver Korff <ok@xynyx.de>  Fri, 21 Aug 2009 22:18:15 +0200

polyglot (1.4.36b-1) unstable; urgency=low

  * Bugfix Upload, new upstram release.
  * polyglot had problems to open .ini files, this was 
    fixed by upstream, see changelog for details
  * The sourcecode was repackaged to get rid of the old debian 
    directory, It is included as debian-orig.tar.gz

 -- Oliver Korff <ok@xynyx.de>  Wed, 12 Aug 2009 09:27:24 +0200

polyglot (1.4.34b-1) unstable; urgency=low

  * New Upstream version: Michel Van den Bergh 
    <michel.vandenbergh@uhasselt.be> is now maintaining and
    enhancing polyglot
  * Keeping much of the good upstream packaging including
    the "unofficial" changelog history 

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Aug 2009 11:39:15 +0200

polyglot (1.4.34b) unofficial; urgency=low

  * Allow spaces around "=" in "option =" commands.
	
  * WbWorkArounds is now true by default.
	
  * Trying to set a non existent UCI option gives an error. 
	
  * PG will now resign in case of an illegal engine move. 
	
  * More code has been moved into the I/O abstraction layer pipex. This has reduced to win32 dependence of utils.c
	
  * info strings and unrecognized info lines are relayed to the GUI.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 6 Aug 2009 20:00:00 +0100

polyglot (1.4.33b) unofficial; urgency=low

  * New option: "WbWorkArounds". Currently it blocks options which contain "Draw" in their name from being sent to the GUI. Engines that have such options are Rybka and HIARCS. 
	
  * Bugfix for ASSERT failure in bright. Now another ASSERT failure has appeared which seems to be bright's fault however. 
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 6 Aug 2009 20:00:00 +0100

polyglot (1.4.32b) unofficial; urgency=low

  * Bugfix: the default setting for RepeatPV had become false again...

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Tue, 4 Aug 2009 14:00:00 +0100

polyglot (1.4.31b) unofficial; urgency=low

  * Bugfix: improper handling of vararg function.
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 2 Aug 2009 11:00:00 +0100

polyglot (1.4.30b) unofficial; urgency=low

  * Some more meaningful error messages added.
  * Some buffer overflow checks added.	
  * Simplification of strange signal kludge in gui.c. 
  * Removal of obsolete code in engine.c and gui.c. Platform specific code has been abstracted and pushed into pipex_win32.c and pipex_posix.c
  * The format of the version number has changed once again. Debian was unhappy with the previous one.
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 2 Aug 2009 16:00:00 +0100

polyglot (1.4b29) unofficial; urgency=low

  * Conversion from C++ to C (suggested by E.M.).
	
  * More refactoring. The win32 and posix I/O have now a uniform interface (see pipex.h). 

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 31 Jul 2009 10:00:00 +0100

polyglot (1.4b28) unofficial; urgency=low

  * Some comments added to explain the exact behaviour of some of the public functions in pipe.cpp. 
  * LineInput now returns a bool which is FALSE in case of EOF. 

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 31 Jul 2009 10:00:00 +0100
	
polyglot (1.4b27) unofficial; urgency=low

  * Option "ScoreWhite" : report score from white's point of view (suggested by E.M.).
	
  * Option "KibitzInterval" : try to wait this many seconds between kibitzes (suggested by E.M.).

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 26 Jul 2009 10:00:00 +0100

polyglot (1.4b26) unofficial; urgency=low

  * Contraction of version number.
	
  * Log if SetProcessAffinityMask is not available (suggested by E.M.).
	
  * pipe.cpp : Make PipeStruct a proper class with private/public members.
	
  * Check for EOF in GUI input.
	
  * pipe.cpp : delay reporting EOF until buffer is empty.
	
  * Messages from the Engine to PG were not logged in the windows version.
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 25 Jul 2009 10:00:00 +0100

polyglot (1.4w10UCIb24) unofficial; urgency=low

  * Portability fixes for WIN9X (Eric Mullins).
	
  * Portability fixes for MSVC++ (Eric Mullins).
	
  * Default setting of RepeatPV is now true.
	
  * Do not read data if input buffer is full (windows).
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Mon, 20 Jul 2009 21:00:00 +0100

polyglot (1.4w10UCIb22) unofficial; urgency=low

  * Polyglot is now completely poll free...	
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 18 Jan 2009 21:00:00 +0100

polyglot (1.4w10UCIb21) unofficial; urgency=low

  * Crash bug in memory command fixed
	
  * Small optimizations

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 18 Jan 2009 21:00:00 +0100

polyglot (1.4w10UCIb20) unofficial; urgency=low

  * More refactoring.

  * No more polling for GUI input

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Wed, 28 Jan 2009 21:00:00 +0100

	
polyglot (1.4w10UCIb18) unofficial; urgency=low

  * Two new utilities: info-book and dump-book.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 15 Jan 2009 21:00:00 +0100

polyglot (1.4w10UCIb17) unofficial; urgency=low

  * More refactoring. main.cpp is now #ifdef _WIN32 free.
	
  * The main loop (previously in adapter.cpp) is now in its own file mainloop.cpp.
	
  * adapter.cpp has been renamed into xboard2uci.cpp. It is #ifdef _WIN32 free.
	
  * EOF from the engine no longer kills PG. It should now be possible to close an engine and reopen another one (if that ever were useful)
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 14 Jan 2009 21:00:00 +0100

polyglot (1.4w10UCIb16) unofficial; urgency=low

  * xboard option commands

  * correction of handling of combo boxes in UCI protocol

  * "gui-mode". It is now possible to run PG without config file

  * The polyglot options are not exported, so they are now settable by the GUI

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 12 Jan 2009 21:00:00 +0100

polyglot (1.4w10UCIb15) unofficial; urgency=low

  * bugfix : due to refactoring time stamps in Windows would be written twice. This has been fixed. 

  * More refactoring; the number of #ifdef _WIN32's has again been drastically reduced.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sat, 10 Jan 2009 20:00:00 +0100

polyglot (1.4w10UCIb14) unofficial; urgency=low
	
  * option to alter priority now also works on windows (Eric Mullins)

  * refactoring so that posix and win32 part share more code

  * a number of potential busy loop scenarios have been eliminated in the Windows code (Windows uses polling)
	
  * the return value of CreateProcess is now checked

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 09 Jan 2009 20:00:00 +0100

polyglot (1.4w10UCIb13) unofficial; urgency=low
	
  * Perft mode exposed.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 06 Jan 2009 20:00:00 +0100
	
polyglot (1.4w10UCIb12) unofficial; urgency=low
	
  * Replaced %lld everywhere by S64_FORMAT.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 06 Jan 2009 18:00:00 +0100
	
polyglot (1.4w10UCIb11) unofficial; urgency=low

  * Crash bug fix (wrong parentheses in instruction that checked for help 
    option)

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 05 Jan 2009 18:00:00 +0100

polyglot (1.4w10UCIb10) unofficial; urgency=low

  * Trivial bug fixes

  * It is now possible to do "make rpm" to make an rpm binary package. 

  * Documentation added for epd-test functionality (man page).
	
  * Cosmetic cleanups of output of epd-test.
	
  * "polyglot --help" output added.
	
  * Added polyglot book format specification to distribution.


 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 02 Jan 2009 18:00:00 +0100

polyglot (1.4w10UCIb9) unofficial; urgency=low

  * Trivial cosmetic fixes

  * Some engines do not support the Hash option. So we don't send memory=1 in that case.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 02 Jan 2009 15:15:15 +0100

polyglot (1.4w10UCIb8) unofficial; urgency=low

  * Support for egtpath command in xboard protocol

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 02 Jan 2009 11:10:23 +0100

polyglot (1.4w10UCIb7) unofficial; urgency=low

  * Initial Release.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 01 Jan 2009 21:32:12 +0100

polyglot (1.4-4) unstable; urgency=low

  * Standards Version to 3.8.1
  * Added Homepage field
  * control: added Recommends: for glaurung and toga2
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sat, 06 Jun 2009 09:38:13 +0200

polyglot (1.4-3) unstable; urgency=low

  * Not stripping anymore (closes: #437780) 

 -- Oliver Korff <ok@xynyx.de>  Sun, 03 Feb 2008 18:02:11 +0100

polyglot (1.4-2) unstable; urgency=low

  * polyglot now opens opening books readonly (closes: #369034)
  * behavior should be further inspected, works in general

 -- Oliver Korff <ok@xynyx.de>  Mon,  3 Jul 2006 12:37:48 +0200

polyglot (1.4-1) unstable; urgency=low

  * new upstream release (closes: #353752)
  * package came as zip file, it was repacked as tar.gz
  * changed description in controlfile (closes: #337879)
  * polyglot.exe polyglot_linux polyglot_mac removed (closes: #350036)

 -- Oliver Korff <ok@xynyx.de>  Mon,  3 Jul 2006 12:37:34 +0200

polyglot (1.3-1) unstable; urgency=low

  * Initial release (closes: #325539)
  * package came as zip file, it was repacked as tar.gz 

 -- Oliver Korff <ok@xynyx.de>  Sun,  9 Oct 2005 21:56:20 +0200

